package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkAxStoreCreateRequest struct {
	/*
	   入参     */
	AxStoreCreateRequest *domain.AlibabaWdkAxStoreCreateAxStoreCreateRequest `json:"ax_store_create_request" required:"true" `
}

func (s *AlibabaWdkAxStoreCreateRequest) SetAxStoreCreateRequest(v domain.AlibabaWdkAxStoreCreateAxStoreCreateRequest) *AlibabaWdkAxStoreCreateRequest {
	s.AxStoreCreateRequest = &v
	return s
}

func (req *AlibabaWdkAxStoreCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.AxStoreCreateRequest != nil {
		paramMap["ax_store_create_request"] = util.ConvertStruct(*req.AxStoreCreateRequest)
	}
	return paramMap
}

func (req *AlibabaWdkAxStoreCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
